FTB Launcher, 1.6.4 Mod Packs - Common Problems and Solutions

  • FTB will be shutting down this forum by the end of July. To participate in our community discussions, please join our Discord! https://ftb.team/discord
Status
Not open for further replies.

Ashzification

New Member
Jul 29, 2019
7,425
1
0
Disclaimer for 1.6.4 Mod Packs:
FTB Lite 2 is the ONLY mod pack that is intended for use on 32 bit systems.
All other 1.6.4 mod packs will NOT run properly on 32 bit systems.

FTB Lite 2 is the only mod pack that was made for 32 bit use. That doesn't mean you won't get the others to work. They just won't work well, and they will lag more.
However, if you encounter any memory related issues in those other packs: we told you so.


First, I'd like to thank everyone for their continued patience while the development teams work toward providing you the best modded Minecraft experience possible. It's not easy for the volunteers to make time to work on the launcher, modpacks and configs; we're all appreciative of the work they do. We're all appreciative of you, the users, that you continue to use FTB throughout the ups and downs.

Secondly, before you post about issues regarding the updated launcher and the preview/beta packs, please make sure your launcher is installed correctly. You can use my troubleshooting guide (found here) to ensure your launcher is installed correctly.
A few quick notes for Mac users (this may also include Linux/Unix users):

  • To use the 1.6.4 packs, you must have Java 7 active on your computer. LWJGL 2.9 is what get installed with Minecraft and the mod packs using 1.6.4 Minecraft. This resolves the issue that previously occurred with your operating system using Java 7 and the launcher. You can find more information about that here.
  • If you wish to continue using 1.4.7 or 1.5.2 mod packs with the new launcher, you will need to update the LWJGL file in those mod packs. Please check out this document, it contains a link regarding how to do so. (Otherwise, you will need to downgrade your Java version every time you wish to change to an older pack)
  • You can not use Java 7 with LWJGL 2.4.2 (which is what comes with the older mod packs). Also, you can not use Java 6 with LWJGL 2.9 (what comes with the 1.6.4 packs).
  • Mavericks users, please read this thread.
(This item is spoilered as it is no longer applicable for most users)
Thirdly, if you are still having issues with the launcher downloading the new mod packs, please be patient. Over the last several days there have been thousands of attempted downloads; if your download times out, or fails, please try again later. Try waiting an hour or two before attempting again.
Please read this thread regarding a few things you can try to help alleviate the issues with downloading. While that thread was created for a different reason, the suggestions within it may help you download your mod pack.

Lastly, if you do continue to have issues and feel the need to post a thread requesting more help, please post with the following format:
Operating System, bit type:
Java version/update, bit type:
Launcher version:
Completed the troubleshooting guide (y/n):
Console log, pastebin.com link:

Description of the problem:

(Optional information if issue involves download problems)
Anti-malware software and/or firewall:
Location you're downloading from (per Launcher's Advanced Options):

By using that format, we can make the support process easier, since you'll have all of the basic information we need to help you. Please make sure to include the link to the console log, posted to pastebin.com. If you are unsure as to what log this is, please read this thread. The console log contains all of the basic information we need, and is the easiest way to verify the information you provide us.

Edit {11/12/13 2130, GMT -5}

There seems to be some confusion over users posting the console log. I'm seeing every log but the console log in many threads.

Above I mentioned reading an article I had written, and amended by @Booker The Geek. That article explains where to get the console log from. I will add the excerpt from that article here, so that there is less confusion. (useing code boxes, cause I want to.

Code:
Please post all logs to pastebin.com. To prevent future issues, such as pastebin flagging your log as spam and deleting it, it is simplest to create an account on pastebin.com and use that account to upload your logs. 
For Launcher Problems: You will be asked to provide a Client-side Console log. The console is the other screen that appears when you open your Feed the Beast. If yours does not appear, you will need to go into the Options tab and make sure the box next to “Show Console” is checked. Then every time after this your console will appear as well. Some of the staffers will ask for your console in "Debug" mode. This can be found by selecting 'Debug' from the first drop down menu on the bottom of your console. The console log is NOT a text file. You must get the console contents from the console itself.

TL;DR-
In the options tab of your launcher, make sure you have "Show Console" checked.
The console is that window.
In the first drop-down menu at the bottom of the console, select "Debug"
Click "Paste to Pastebin"

Thank you all for your patience and understanding.

Please remember that many of the 1.6.4 packs are public beta. All in-game bugs need to be reported here if they haven't been reported already.




LIST OF UNSUPPORTED THINGS. PLEASE DO NOT ASK FOR HELP WITH THESE.
We can't support everything. It's just not possible. That list was created to help staff know what's a priority. If you ask for help with something listed in that thread/article, your thread may be moved from the Tech Support Section. If you do receive help from, it is in an unofficial capacity.
 
Last edited:

Ashzification

New Member
Jul 29, 2019
7,425
1
0
Legacy, Linux work around
Apparently there's some issues with Linux users and the current launcher.
Niel has posted a thread reviewing what you need to do to get the launcher/mod pack to work with your Linux system.
Here.
 
Last edited:
  • Like
Reactions: hutoczky

Ashzification

New Member
Jul 29, 2019
7,425
1
0
Legacy, Mac and Linux initialization error
There is currently an issue with Mac and Linux mod pack initialization.
Please read my explanation on this thread for more detail.
http://forum.feed-the-beast.com/threads/horizons-not-launching-on-mac.35511/
Also, please do not read the contents of the console unless you know what you're doing.
Most of the time, the red and yellow text means nothing, and sometimes there's scary words in there.
 
Last edited:

Ashzification

New Member
Jul 29, 2019
7,425
1
0
I'll be taking the rest of the night off from replying to tech support threads. Going to try to replicate as many of the issues I've seen as possible and see if there are any other user-level work-arounds I can come up with.

I have work again tomorrow, and most likely won't be able to get back to the forums until after 4:30 PM EST.

Be nice to the other volunteers, and thanks everyone for your help :)
 
Last edited:

Ashzification

New Member
Jul 29, 2019
7,425
1
0
World Creation Tests
For issues with world creation, Direwolf20 1.6.4:
I have 2.75 GB allocated to the launcher. No added JVM parameters.
Successfully generated a world under the following conditions:
Survival, Default World Gen
Hardcore, Default World Gen
Creative, Default World Gen
Survival, Superflat
Survival, Large Biomes
Survival, Biomes o Plenty
 
Last edited:

Ashzification

New Member
Jul 29, 2019
7,425
1
0
Legacy, Issue downloading DW20 pack
For the issues with downloading, Direwolf20 1.6.4:
Please see my twitter thread regarding the tests I just completed. At the time of these tests, I was not downloading anything else, or uploading anything, from my PC. My antivirus (avast, free) was active. My husband was using his PC to watch a stream and play a video game. I only tested the 4 original download repos. Paul added 2 more for us: https://twitter.com/CH_Paul_T/status/410555310781104128


https://twitter.com/AshZification/status/410595657636782080
To expand on this:
The initial download is large. It will take a good bit of time depending on your internet connection and your relative location to the download repo. The initial pack load doesn't take much time. Don't be frightened by the red text in the console. If you don't know how to interpret it, just ignore it :)
 
Last edited:

Ashzification

New Member
Jul 29, 2019
7,425
1
0
Some JVM settings
For issues with world creation, Direwolf20 1.6.4:
I have 2.75 GB allocated to the launcher. No added JVM parameters.
Successfully generated a world under the following conditions:
Survival, Default World Gen
Hardcore, Default World Gen
Creative, Default World Gen
Survival, Superflat
Survival, Large Biomes
Survival, Biomes o Plenty
To expand on this:
In the vanilla launcher, using a pack I made for myself (approx 140 mods) I use these JVM arguments
Code:
-Xmx3G -Xms512m -XX:PermSize=128M -XX:MaxPermSize=512m
They work nice for me.
 
Last edited:

Ashzification

New Member
Jul 29, 2019
7,425
1
0
Legacy, "dirs mk'd" 'It's not loading'
This is a common issue reported, and is described/answered very nicely here:
People, if you are getting the error:
"dirs mk'd
debug: retaining modpack file: "PATH""

Then just listen to what Jaded said "Wait longer. It takes a while to download as the servers are a bit overloaded. There is no error here." I was having the error listed above, so I left my launcher running, went to my kitchen, got some tea, came back up, and Horizons was open.

NOTE: It may take a little longer for some people.
 
Last edited:

Ashzification

New Member
Jul 29, 2019
7,425
1
0
Legacy, Error downloading Assets
Error occurred when downloading Assests issue.
Nicely described by @Jadedcat
Minecraft moved their assests in 1.6 it now links to a new location for download. Which is why 1.5.2 packs don't seem to be affected by this issue.
Oh there's a nice little explanation/solution in there too :)
 
Last edited:
Status
Not open for further replies.